> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> Fetch all contract tempaltes



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/contract-templates
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/contract-templates:
    get:
      tags:
        - Contracts
      summary: List Templates
      description: Fetch all contract tempaltes
      operationId: retrieveContractTemplates
      parameters:
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetContractTemplatesResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetContractTemplatesResponse:
      description: get contract templates response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/contractTemplate'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
  schemas:
    contractTemplate:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        createdTimestamp:
          type: integer
          example: 1702002274
          format: int64
        lastUpdatedTimestamp:
          type: integer
          example: 1702002274
          format: int64
        personType:
          example: employee
          type: string
        type:
          example: regular
          type: string
        country:
          type: string
          example: US
        name:
          example: Standard Employee Agreement
          type: string
        templateString:
          description: The template formatted as an html
          type: string
        templateVariables:
          type: array
          items:
            $ref: '#/components/schemas/templateVariable'
        tenantKey:
          type: string
          example: abc123
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    templateVariable:
      type: object
      properties:
        name:
          example: firstName
          type: string
        label:
          example: First Name
          type: string
        ref:
          example: person.firstName
          type: string
        type:
          example: string
          type: string
        description:
          example: This is the employee's first name
          type: string
        isRequired:
          type: boolean
          example: true
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````